@import url('https://fonts.googleapis.com/css2?family=Noto+Serif+Vithkuqi&display=swap');

:root {
    --primary: #88B44E;
    --secondary: #FB9F38;
    --light: #F5F8F2;
    --dark: #252C30;
    --beige: #DAC0A3;
}

.back-to-top {
    position: fixed;
    display: none;
    right: 30px;
    bottom: 30px;
    z-index: 99;
}

.fw-medium {
    font-weight: 600;
}

.fw-bold {
    font-weight: 700;
}

.fw-black {
    font-weight: 900;
}

/* Icon */
.icon {
    height: 100vh;
    width: 100vh;
}

/*** Spinner ***/
#spinner {
    opacity: 0;
    visibility: hidden;
    transition: opacity .5s ease-out, visibility 0s linear .5s;
    z-index: 99999;
    
}

#spinner.show {
    transition: opacity .5s ease-out, visibility 0s linear 0s;
    visibility: visible;
    opacity: 1;
}

/* Amenities on index.html */

/*** Button ***/
.btn {
    transition: .5s;
    font-weight: 500;
}

.btn-primary,
.btn-outline-primary:hover {
    color: var(--light);
}

.btn-secondary,
.btn-outline-secondary:hover {
    color: var(--dark);
}

.btn-square {
    width: 38px;
    height: 38px;
}

.btn-sm-square {
    width: 32px;
    height: 32px;
}

.btn-lg-square {
    width: 48px;
    height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
}


/* Navbar */

.sticky-top {
    top: -10px;
    transition: .10s;
}

.navbar .navbar-brand {
    position: -ms-page;
    padding: 0;
    width: 120px;
    height: auto;
    top: 0;
    left: 0;
}

.navbar .navbar-nav .nav-link {
    top: -10px;
    margin-right: 35px;
    padding: 25px 0;
    color: var(--dark);
    font-weight: 600;
    text-transform: uppercase;
    outline: none;
    /* font-family: 'Times New Roman', Times, serif; */
    font-family: 'Noto Serif Vithkuqi', serif;
}

.navbar .navbar-nav .nav-link:hover,
.navbar .navbar-nav .nav-link.active {
    color: #819483;
}

.navbar .dropdown-toggle::after {
    border: none;
    content: "\f107";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    vertical-align: middle;
    margin-left: 8px;
}

.rounded-pill:hover {
    background-color: #fefffd;
    top: 1px;
    box-shadow: 0 4px #999999;
}

.rounded-pill {
    background-color: #FAF2D3;
    color: #000000;
    font-weight: 200;
}

@media (max-width: 991.98px) {
    .navbar .navbar-brand {
        width: 126px;
        height: 100px;
    }

    .navbar .navbar-nav .nav-link {
        margin-right: 0;
        padding: 10px 0;
    }

    .navbar .navbar-nav {
        margin-top: 75px;
        border-top: 1px solid #EEEEEE;
    }
}

@media (min-width: 992px) {
    .navbar .nav-item .dropdown-menu {
        display: block;
        border: none;
        margin-top: 0;
        top: 150%;
        opacity: 0;
        visibility: hidden;
        transition: .5s;
    }

    .navbar .nav-item:hover .dropdown-menu {
        top: 100%;
        visibility: visible;
        transition: .5s;
        opacity: 1;
    }
}

/* Navbar ends */

/*** Header ***/
.carousel-caption {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    align-items: center;
    background: rgba(153, 182, 114, 0.7);
    /* background: rgba(64, 190, 212, 0.7); */
    /* Bg color of the home page*/
    z-index: 100;
}

.carousel-control-prev,
.carousel-control-next {
    width: 15%;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
    width: 3.5rem;
    height: 3.5rem;
    border-radius: 3.5rem;
    background-color: var(--dark);
    border: 15px solid var(--dark);
}

@media (max-width: 768px) {
    #header-carousel .carousel-item {
        position: relative;
        min-height: 450px;
    }

    #header-carousel .carousel-item img {
        position: absolute;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
}

.page-header {
    background: linear-gradient(rgba(15, 236, 30, 0.7), rgba(179, 153, 153, 0.7)), url(../img/images/Best_lawn_with_scenic_veiw.webp) center center no-repeat;
    background-size: cover;
}

.page-header .breadcrumb-item+.breadcrumb-item::before {
    color: var(--light);
}

.page-header .breadcrumb-item,
.page-header .breadcrumb-item a {
    font-size: 18px;
    color: var(--light);
}


/*** Section Title ***/
.section-title {
    position: relative;
    margin-bottom: 5rem;
    padding-bottom: 2rem;
}

.section-title::before {
    position: absolute;
    content: "";
    width: 50%;
    height: 2px;
    bottom: 0;
    left: 0;
    background: var(--beige);
}

.section-title::after {
    position: absolute;
    content: "";
    width: 28px;
    height: 28px;
    bottom: -13px;
    left: calc(25% - 13px);
    background: var(--dark);
    border: 10px solid #FFFFFF;
    border-radius: 28px;
}

.section-title.text-center::before {
    left: 25%;
}

.section-title.text-center::after {
    left: calc(50% - 13px);
}


/*** Amenities ***/
.amenities {
    background: linear-gradient(rgba(136, 180, 78, .1), rgba(136, 180, 78, .1)), url(https://images.unsplash.com/photo-1491497895121-1334fc14d8c9?ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D&auto=format&fit=crop&w=1170&q=80) no-repeat;
    background-size: cover;
}

.amenities-carousel .owl-nav {
    display: flex;
    justify-content: center;
    margin-top: 30px;
}

.amenities-carousel .owl-nav .owl-prev,
.amenities-carousel .owl-nav .owl-next {
    margin: 0 10px;
    width: 55px;
    height: 55px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #FFFFFF;
    background: var(--secondary);
    border-radius: 55px;
    box-shadow: 0 0 45px rgba(0, 0, 0, .15);
    font-size: 25px;
    transition: .5s;
}

.amenities-carousel .owl-nav .owl-prev:hover,
.amenities-carousel .owl-nav .owl-next:hover {
    background: #fefeff;
    color: var(--secondary);
}


/*** About ***/
.video {
    background: linear-gradient(rgba(94, 151, 19, 0.1), #635c4c), url(https://images.unsplash.com/photo-1470087167738-6aa485ff65dc?ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D&auto=format&fit=crop&w=1171&q=80) center center no-repeat;
    background-size: cover;
}

.btn-play {
    position: relative;
    display: block;
    box-sizing: content-box;
    width: 65px;
    height: 75px;
    border-radius: 100%;
    border: none;
    outline: none !important;
    padding: 28px 30px 30px 38px;
    background: #b6b6b6;
}

.btn-play:before {
    content: "";
    position: absolute;
    z-index: 0;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    display: block;
    width: 120px;
    height: 120px;
    background: #868686;
    border-radius: 100%;
    animation: pulse-border 1500ms ease-out infinite;
}

.btn-play:after {
    content: "";
    position: absolute;
    z-index: 1;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    display: block;
    width: 120px;
    height: 120px;
    background: #FFFFFF;
    border-radius: 100%;
    transition: all 200ms;
}

.btn-play span {
    display: block;
    position: relative;
    z-index: 3;
    width: 0;
    height: 0;
    left: 13px;
    border-left: 40px solid var(--primary);
    border-top: 28px solid transparent;
    border-bottom: 28px solid transparent;
}

@keyframes pulse-border {
    0% {
        transform: translateX(-50%) translateY(-50%) translateZ(0) scale(1);
        opacity: 1;
    }

    100% {
        transform: translateX(-50%) translateY(-50%) translateZ(0) scale(2);
        opacity: 0;
    }
}

.modal-video .modal-dialog {
    position: relative;
    max-width: 800px;
    margin: 60px auto 0 auto;
}

.modal-video .modal-body {
    position: relative;
    padding: 0px;
}

.modal-video .close {
    position: absolute;
    width: 30px;
    height: 30px;
    right: 0px;
    top: -30px;
    z-index: 999;
    font-size: 30px;
    font-weight: normal;
    /* color: #FFFFFF; */
    background: #000000;
    opacity: 1;
}


/* Accomodations */
.store-item .store-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background: rgba(95, 114, 92, 0.3);
    opacity: 0;
    transition: .5s;
    border: #009FBD;
    border-radius: 20px;
}

.store-item:hover .store-overlay {
    opacity: 1;
}

.store-item img {
    border: 4px solid #e7e7e7;
    /* box-shadow: 1px 1px 2px 1px #252525; */
    /* border: #f7f2f2; */
    border-radius: 20px;
    /* border-width: 4px; */
    /* border-style: solid; */
    /* color: yellow; */


}


/*** Contact ***/
.contact .btn-square {
    width: 100px;
    height: 100px;
    border: 20px solid var(--light);
    background: var(--primary);
    border-radius: 50px;
}


/*** Testimonial ***/
.testimonial {
    background: linear-gradient(rgb(243, 255, 191), rgb(87, 153, 1, 0.1)), url(../img/images/Tea_garden_bg_testimonial.webp) center center no-repeat;
    background-size: cover;
}

.testimonial-item {
    margin: 0 auto;
    max-width: 650px;
    text-align: center;
    background: #ffffff;
    border: 10px solid tra;
    border-radius: 60px;
}



/* WhatsApp start */
.whatsapp {
    position: fixed;
    left: 20px;
    bottom: 20px;
}

.whatsapp img {
    width: 50px;
    height: auto;
}

/* WhatsApp end */

/*** Footer ***/
.footer {
    color: #B0B9AE;
}

.footer .btn.btn-link {
    display: block;
    margin-bottom: 5px;
    padding: 0;
    text-align: left;
    color: #B0B9AE;
    font-weight: normal;
    text-transform: capitalize;
    transition: .3s;
}

.footer .btn.btn-link::before {
    position: relative;
    content: "\f105";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    color: var(--primary);
    margin-right: 10px;
}

.footer .btn.btn-link:hover {
    color: var(--light);
    letter-spacing: 1px;
    box-shadow: none;
}

.mb-2:hover {
    /* color: var(--light); */
    letter-spacing: .5px;
    box-shadow: none;
}

.copyright {
    color: #B0B9AE;
}

.copyright {
    background: #252525;
}

.copyright a:hover {
    color: #fff2f2 !important;
}

/* Accomodations end */

/* Sticky navigation bar for the social handles */
.sticky-navbar {
    position: sticky;
    /* top: -5px; */
    background-color: #ffffff;
    /* Customize the background color */
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1);
    /* Add shadow if desired */
    z-index: 100000;
    /*Ensure it's above other content*/
    color: #3D0C11;
}

.sticky-navbar .social-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
}

.contact-info a,
.social-icons a {
    text-decoration: none;
    color: #000000;
    /* Customize text color */
    margin: 0 10px;
}

.contact-info a:hover,
.social-icons a:hover {
    color: #002efa;
    /* Customize hover color */
}

header {
    margin-top: 60px;
}

/* Sticky nav bar for the social handles ends */

.header-bg {
    background: linear-gradient(rgba(0, 0, 0, .7), rgba(0, 0, 0, .7)), url(../img/Manokamna_farm_stay_images/beautiful_cottage_at_night.webp) center center no-repeat;
    background-size: cover;
}

.btn-play {
    position: relative;
    display: block;
    box-sizing: content-box;
    width: 16px;
    height: 26px;
    border-radius: 100%;
    border: none;
    outline: none !important;
    padding: 18px 20px 20px 28px;
    background: #FFFFFF;
}

.btn-play:before {
    content: "";
    position: absolute;
    z-index: 0;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    display: block;
    width: 60px;
    height: 60px;
    background: #FFFFFF;
    border-radius: 100%;
    animation: pulse-border 1500ms ease-out infinite;
}

.btn-play:after {
    content: "";
    position: absolute;
    z-index: 1;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    display: block;
    width: 60px;
    height: 60px;
    background: #FFFFFF;
    border-radius: 100%;
    transition: all 200ms;
}

.btn-play span {
    display: block;
    position: relative;
    z-index: 3;
    width: 0;
    height: 0;
    left: -1px;
    border-left: 16px solid var(--primary);
    border-top: 11px solid transparent;
    border-bottom: 11px solid transparent;
}

@keyframes pulse-border {
    0% {
        transform: translateX(-50%) translateY(-50%) translateZ(0) scale(1);
        opacity: 1;
    }

    100% {
        transform: translateX(-50%) translateY(-50%) translateZ(0) scale(2);
        opacity: 0;
    }
}

.modal-video .modal-dialog {
    position: relative;
    max-width: 800px;
    margin: 60px auto 0 auto;
}

.modal-video .modal-body {
    position: relative;
    padding: 0px;
}

.modal-video .close {
    position: absolute;
    width: 30px;
    height: 30px;
    right: 0px;
    top: -30px;
    z-index: 999;
    font-size: 30px;
    font-weight: normal;
    color: #FFFFFF;
    background: #000000;
    opacity: 1;
}

.header-carousel .owl-nav {
    position: absolute;
    width: 200px;
    height: 40px;
    bottom: 30px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    justify-content: space-between;
}

.header-carousel .owl-nav .owl-prev,
.header-carousel .owl-nav .owl-next {
    width: 35x;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #FFFFFF;
    background: transparent;
    border: 1px solid #FFFFFF;
    font-size: 22px;
    transition: .5s;
}

.header-carousel .owl-nav .owl-prev:hover,
.header-carousel .owl-nav .owl-next:hover {
    background: var(--primary);
    border-color: var(--primary);
}

.header-carousel .owl-dots {
    position: absolute;
    height: 45px;
    bottom: 30px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    align-items: center;
    justify-content: center;
}

.header-carousel .owl-dot {
    position: relative;
    display: inline-block;
    margin: 0 5px;
    width: 15px;
    height: 15px;
    background: transparent;
    border: 1px solid #ffffff;
    transition: .5s;
}

.header-carousel .owl-dot::after {
    position: absolute;
    content: "";
    width: 5px;
    height: 5px;
    top: 4px;
    left: 4px;
    background: #009FBD;
    border-radius: 5px;
}

.header-carousel .owl-dot.active {
    background: #009FBD;
    border-color: #009FBD;
}

.breadcrumb-item+.breadcrumb-item::before {
    color: var(--light);
}

/*** Img Border ***/
.img-border {
    position: relative;
    height: 100%;
    min-height: 400px;
}

.img-border::before {
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    right: 3rem;
    bottom: 3rem;
    border: 5px solid var(--primary);
}

.img-border img {
    position: absolute;
    top: 3rem;
    left: 3rem;
    width: calc(100% - 3rem);
    height: calc(100% - 3rem);
    object-fit: cover;
}

/* Nqvigation Box Starts */
.navigation_box {

    border-radius: 60px;
    background-color: #618264;
    padding: 50px;
    margin: 20px;
    border-radius: 20px;
    border: 5px solid #dadada;

}

.navigation_box:hover {
    background-color: #fdfff3
}

/* navigation Box Ends */

/* Map responsiveness starts */

.map-container {
    position: relative;
    overflow: hidden;
    padding-top: 56.25%;
    /* 16:9 Aspect Ratio (divide 9 by 16 = 0.5625) */
}

.map-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 10px;
    border-radius: 20px;
}


/* Map responsive ends */

.text-custom {
    color: #B0B9AE;
}

.bg-custom {
    background-color: #4267B2;
}

.bg-custom:hover {
    background-color: #d5d6db;
}

.insta-custom {
    background-color: #b95e6f;
}

.insta-custom:hover{
    background-color: #515772;
}

.yt-custom {
    background-color: #c5a196;
}
.yt-custom:hover {
    background-color: #fd9494 ;
}
.custom-star {
    color: #949494;
}

.natural-color {
    color: #a2bd88; /* Natural color of choice */
}
.natural-color:hover {
    color:#8ba38b;
}
.top {
    background-color: #5e6855;;
}
